Skip to main content
POST
Update user

Authorizations

x-api-key
string
header
required

Path Parameters

userId
integer
required

User ID

Body

application/json

Only fields set in this object will be updated.

name
string

New full name

Example:

"Jan Jongboom"

jobTitle
string

New job title

Example:

"Embedded Software Engineer"

companyName
string

New company name

Example:

"Edge Impulse Inc."

experiments
string[]

List of user experiments

projectsSortOrder
enum<string>

Default sort order on the projects list

Available options:
created-asc,
created-desc,
added-asc,
added-desc,
name-asc,
name-desc,
last-accessed-desc
timezone
string

User timezone.

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

error
string

Optional error description (set if 'success' was false)